%define  upstream_name Archive
%define _requires_exceptions pear(TestConfiguration.php)
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.4.1
Release:	%mkrel 3
Summary:	The component allows you to create, modify, and extract archive files
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://components.ez.no/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.3.1
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
The component allows you to create, modify, and extract archive files of 
various formats.  The currently supported archives formats are Tar (with 
the flavours: ustar, v7, pax, and gnu) and Zip.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Archive.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Archive.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Archive
fi

%files
%defattr(-,root,root)
%doc docs/Archive/*
%{peardir}/data/Archive/design/class_diagram.png
%{peardir}/data/Archive/design/design.txt
%{peardir}/ezc/Archive/archive.php
%{peardir}/ezc/Archive/archive_autoload.php
%{peardir}/ezc/Archive/entry.php
%{peardir}/ezc/Archive/exceptions/block_size.php
%{peardir}/ezc/Archive/exceptions/checksum.php
%{peardir}/ezc/Archive/exceptions/empty.php
%{peardir}/ezc/Archive/exceptions/entry_prefix.php
%{peardir}/ezc/Archive/exceptions/exception.php
%{peardir}/ezc/Archive/exceptions/internal_exception.php
%{peardir}/ezc/Archive/exceptions/io.php
%{peardir}/ezc/Archive/exceptions/unknown_type.php
%{peardir}/ezc/Archive/exceptions/value.php
%{peardir}/ezc/Archive/file/block_file.php
%{peardir}/ezc/Archive/file/character_file.php
%{peardir}/ezc/Archive/file/file.php
%{peardir}/ezc/Archive/interfaces/callback.php
%{peardir}/ezc/Archive/options/archive.php
%{peardir}/ezc/Archive/structs/file.php
%{peardir}/ezc/Archive/tar/gnu.php
%{peardir}/ezc/Archive/tar/headers/gnu.php
%{peardir}/ezc/Archive/tar/headers/pax.php
%{peardir}/ezc/Archive/tar/headers/ustar.php
%{peardir}/ezc/Archive/tar/headers/v7.php
%{peardir}/ezc/Archive/tar/pax.php
%{peardir}/ezc/Archive/tar/ustar.php
%{peardir}/ezc/Archive/tar/v7.php
%{peardir}/ezc/Archive/utils/checksums.php
%{peardir}/ezc/Archive/utils/file_type.php
%{peardir}/ezc/Archive/utils/stat_mode.php
%{peardir}/ezc/Archive/zip/headers/central_directory.php
%{peardir}/ezc/Archive/zip/headers/central_directory_end.php
%{peardir}/ezc/Archive/zip/headers/local_file.php
%{peardir}/ezc/Archive/zip/zip.php
%{peardir}/ezc/autoload/archive_autoload.php
%{xmldir}/Archive.xml


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.4.1-3.mga4
+ Revision: 504148
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 349878
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 19 2011 spuhler <spuhler> 1.4.1-1.mga2
+ Revision: 126175
- corrected the file names for 1.4.1
- upgrade to 1.4.1

* Tue Jul 19 2011 spuhler <spuhler> 1.2.4-2.mga2
+ Revision: 126164
- increased rel to 2
-Requires:    	pear-channel-components
  +Requires:    php-pear-channel-components

* Sat Jul 16 2011 spuhler <spuhler> 1.2.4-1.mga2
+ Revision: 124855
- imported package ezcomponents-Archive

